import { Module } from '@nestjs/common';
import { ChickensService } from './chickens.service';
import { ChickensController } from './chickens.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ChickenEntity } from './entities/chicken.entity';
import { UserModule } from 'src/user/user.module';
import { CacheService } from 'src/redis/redis';
import { OrderlogService } from 'src/orderlog/orderlog.service';
import { OrderlogEntity } from 'src/orderlog/entities/orderlog.entity';
import { UserService } from 'src/user/user.service';
import { UserEntity } from 'src/user/entities/user.entity';
import { GoodsService } from 'src/goods/goods.service';
import { GoodsEntity } from 'src/goods/entities/good.entity';

@Module({
  imports: [
    TypeOrmModule.forFeature([ChickenEntity,OrderlogEntity,UserEntity,GoodsEntity]),
    UserModule,
  ],
  controllers: [ChickensController],
  exports: [ChickensService],
  providers: [ChickensService, CacheService,OrderlogService,UserService,GoodsService]
})
export class ChickensModule { }
