import { IsNotEmpty, IsDate, IsString, IsInt, IsIn } from "class-validator";
import { GoodsStatus, GoodsTypes } from "src/common/const";
export class CreateGoodDto {
    @IsNotEmpty({ message: '类型不能为空' })
    @IsIn(Object.values(GoodsTypes))
    type: string;

    @IsString()
    name: string;

    @IsString()
    desc: string;

    @IsString()
    image: string;

    @IsInt()
    price: number;

    @IsInt()
    attribute: number;

    @IsString()
    @IsIn(Object.values(GoodsStatus))
    status: string;

    create_time?: Date;

    update_time?: Date;
}
