import { PartialType } from '@nestjs/swagger';
import { CreateGoodDto } from './create-good.dto';
import { IsNotEmpty, IsString, IsInt, IsIn } from "class-validator";
import { GoodsStatus, GoodsTypes } from "src/common/const";

export class UpdateGoodDto extends PartialType(CreateGoodDto) {
    @IsNotEmpty({ message: '类型不能为空' })
    @IsIn(Object.values(GoodsTypes))
    type: string;

    @IsString()
    name: string;

    @IsString()
    desc: string;

    @IsString()
    image: string;

    @IsInt()
    price: number;

    @IsInt()
    attribute: number;

    @IsString()
    @IsIn(Object.values(GoodsStatus))
    status: string;
    
    update_time?: Date;
}
