import { IsNotEmpty, IsInt, IsIn, IsString } from "class-validator";
import { GoodsTypes } from "src/common/const";

export class CreateOrderlogDto {
    @IsNotEmpty({ message: '类型不能为空' })
    @IsIn(Object.values(GoodsTypes))
    goods_type: string;

    @IsNotEmpty({ message: '用户ID不能为空' })
    @IsInt()
    userid: number;

    @IsNotEmpty({ message: '商品ID不能为空' })
    @IsInt()
    goods_id: number;

    @IsNotEmpty({ message: '商品价格不能为空' })
    @IsInt()
    goods_price: number;

    @IsNotEmpty({ message: '商品属性不能为空' })
    @IsInt()
    goods_attribute: number;

    @IsString()
    goods_desc: string;

    @IsString()
    goods_url: string;

    buy_time?: Date;
    create_time?: Date;
    update_time?: Date;
}
