import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { CODE } from 'src/common/code';
import { CustomResult, SuccessResult } from 'src/common/utils/result-utils';
import { Repository } from 'typeorm';
import { CreateOrderlogDto } from './dto/create-orderlog.dto';
import { UpdateOrderlogDto } from './dto/update-orderlog.dto';
import { OrderlogEntity } from './entities/orderlog.entity';

const prefix = 'order';
@Injectable()
export class OrderlogService {
  constructor(
    @InjectRepository(OrderlogEntity)
    private readonly orderLogRepository: Repository<OrderlogEntity>,
  ) { }

  /** 创建 */
  async create(createOrderlogDto: CreateOrderlogDto) {
    createOrderlogDto.buy_time = new Date();
    createOrderlogDto.create_time = new Date();
    createOrderlogDto.update_time = new Date();
    const res = await this.orderLogRepository.save(createOrderlogDto);
    if (res?.orderid) return SuccessResult(res);
    return CustomResult(CODE.CODE_ORDER_INSERT_ERR);
  }

  /**API查询购买的商品订单详情信息 */
  async paidGoodsInfo(orderid: string, userid: number) {
    const orderGoods = await this.orderLogRepository.createQueryBuilder(prefix)
      .select().where(`orderid=:orderid AND userid=:userid`, { orderid: orderid, userid: userid }).getRawOne();
    return orderGoods;
  }

  update(id: number, updateOrderlogDto: UpdateOrderlogDto) {
    return `This action updates a #${id} orderlog`;
  }

  remove(id: number) {
    return `This action removes a #${id} orderlog`;
  }
}
